### Method

# GLib Checksum update

since: 2.16

#### Declaration [src]

    void
    g_checksum_update (
      GChecksum* checksum,
      const guchar* data,
      gssize length
    )

#### Description [src]

Feeds `data` into an existing `GChecksum`. The checksum must still be open, that is `g_checksum_get_string()` or `g_checksum_get_digest()` must not have been called on `checksum`.

Available since: 2.16

#### Parameters

`data`

  Type: An array of `guint8`

  Buffer used to compute the checksum.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gssize`

  Size of the buffer, or -1 if it is a null-terminated string.